/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\PeregrinesDive.cs
Lines of code: 36

Description: 

***********************************************************/



using Server;
using System;

namespace Server.Items
{
	
	public class PeregrinesDive : Boots
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public PeregrinesDive() : base()
		{
			Name="Peregrine's Dive";
			Hue=906;

			Resistances.Physical=10;
			Resistances.Fire=5;
			Resistances.Cold=2;
			Resistances.Poison=5;
			Resistances.Energy=2;		

			Attributes.RegenStam=2;
			Attributes.WeaponSpeed=5;
		}
		

		public PeregrinesDive( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
			
	}
	
}